PHP K�sikirja
Edellinen |  | Seuraava

# openal_source_get

(no version information, might be only in CVS)

openal_source_get -- Retrieve an OpenAL source property

## Description

mixed openal_source_get ( resource source, int property )

## Parameters

source

  An Open AL(Source) resource (previously created by openal_source_create()).

property

  Property to get, one of: `AL_SOURCE_RELATIVE` (int), `AL_SOURCE_STATE` (int), `AL_PITCH` (float), `AL_GAIN` (float), `AL_MIN_GAIN` (float), `AL_MAX_GAIN` (float), `AL_MAX_DISTANCE` (float), `AL_ROLLOFF_FACTOR` (float), `AL_CONE_OUTER_GAIN` (float), `AL_CONE_INNER_ANGLE` (float), `AL_CONE_OUTER_ANGLE` (float), `AL_REFERENCE_DISTANCE` (float), `AL_POSITION` (array(float,float,float)), `AL_VELOCITY` (array(float,float,float)), `AL_DIRECTION` (array(float,float,float)).

## Return values

Returns the type associated with the property being retrieved or `FALSE` on failure.

## See Also

openal_source_create()
openal_source_set()
openal_source_play()

Edellinen | Alkuun | Seuraava
openal_source_destroy | Ylös | openal_source_pause